starting_residues = {   'A': {   "C1'": 0.0394,
             'C2': 0.5875,
             "C2'": 0.067,
             "C3'": 0.2022,
             'C4': 0.3053,
             "C4'": 0.1065,
             'C5': 0.0515,
             "C5'": 0.0558,
             'C6': 0.7009,
             'C8': 0.2006,
             "H1'": 0.2007,
             'H2': 0.0473,
             "H2'": 0.0972,
             "H3'": 0.0615,
             "H4'": 0.1174,
             "H5'": 0.0679,
             "H5''": 0.0679,
             'H61': 0.4115,
             'H62': 0.4115,
             'H8': 0.1553,
             "HO2'": 0.4186,
             "HO5'": 0.4295,
             'N1': -0.7615,
             'N3': -0.6997,
             'N6': -0.9019,
             'N7': -0.6073,
             'N9': -0.0251,
             "O2'": -0.6139,
             "O3'": -0.5246,
             "O4'": -0.3548,
             "O5'": -0.6223},
    'ACE': {   'C': 0.5972,
               'CH3': -0.3662,
               'HH31': 0.1123,
               'HH32': 0.1123,
               'HH33': 0.1123,
               'O': -0.5679},
    'ALA': {   'C': 0.6163,
               'CA': 0.0962,
               'CB': -0.0597,
               'H1': 0.1997,
               'H2': 0.1997,
               'H3': 0.1997,
               'HA': 0.0889,
               'HB1': 0.03,
               'HB2': 0.03,
               'HB3': 0.03,
               'N': 0.1414,
               'O': -0.5722},
    'ARG': {   'C': 0.7214,
               'CA': -0.0223,
               'CB': 0.0118,
               'CD': 0.0935,
               'CG': 0.0236,
               'CZ': 0.8281,
               'H1': 0.2083,
               'H2': 0.2083,
               'H3': 0.2083,
               'HA': 0.1242,
               'HB2': 0.0226,
               'HB3': 0.0226,
               'HD2': 0.0527,
               'HD3': 0.0527,
               'HE': 0.3592,
               'HG2': 0.0309,
               'HG3': 0.0309,
               'HH11': 0.4494,
               'HH12': 0.4494,
               'HH21': 0.4494,
               'HH22': 0.4494,
               'N': 0.1305,
               'NE': -0.565,
               'NH1': -0.8693,
               'NH2': -0.8693,
               'O': -0.6013},
    'ASN': {   'C': 0.6163,
               'CA': 0.0368,
               'CB': -0.0283,
               'CG': 0.5833,
               'H1': 0.1921,
               'H2': 0.1921,
               'H3': 0.1921,
               'HA': 0.1231,
               'HB2': 0.0515,
               'HB3': 0.0515,
               'HD21': 0.4097,
               'HD22': 0.4097,
               'N': 0.1801,
               'ND2': -0.8634,
               'O': -0.5722,
               'OD1': -0.5744},
    'ASP': {   'C': 0.5621,
               'CA': 0.0292,
               'CB': -0.0235,
               'CG': 0.8194,
               'H1': 0.22,
               'H2': 0.22,
               'H3': 0.22,
               'HA': 0.1141,
               'HB2': -0.0169,
               'HB3': -0.0169,
               'N': 0.0782,
               'O': -0.5889,
               'OD1': -0.8084,
               'OD2': -0.8084},
    'C': {   "C1'": 0.0066,
             'C2': 0.7538,
             "C2'": 0.067,
             "C3'": 0.2022,
             'C4': 0.8185,
             "C4'": 0.1065,
             'C5': -0.5215,
             "C5'": 0.0558,
             'C6': 0.0053,
             "H1'": 0.2029,
             "H2'": 0.0972,
             "H3'": 0.0615,
             "H4'": 0.1174,
             'H41': 0.4234,
             'H42': 0.4234,
             'H5': 0.1928,
             "H5'": 0.0679,
             "H5''": 0.0679,
             'H6': 0.1958,
             "HO2'": 0.4186,
             "HO5'": 0.4295,
             'N1': -0.0484,
             'N3': -0.7584,
             'N4': -0.953,
             'O2': -0.6252,
             "O2'": -0.6139,
             "O3'": -0.5246,
             "O4'": -0.3548,
             "O5'": -0.6223},
    'CYS': {   'C': 0.6123,
               'CA': 0.0927,
               'CB': -0.1195,
               'H1': 0.2023,
               'H2': 0.2023,
               'H3': 0.2023,
               'HA': 0.1411,
               'HB2': 0.1188,
               'HB3': 0.1188,
               'HG': 0.1975,
               'N': 0.1325,
               'O': -0.5713,
               'SG': -0.3298},
    'CYX': {   'C': 0.6123,
               'CA': 0.1055,
               'CB': -0.0277,
               'H1': 0.1815,
               'H2': 0.1815,
               'H3': 0.1815,
               'HA': 0.0922,
               'HB2': 0.068,
               'HB3': 0.068,
               'N': 0.2069,
               'O': -0.5713,
               'SG': -0.0984},
    'DA': {   "C1'": 0.0431,
              'C2': 0.5716,
              "C2'": -0.0854,
              "C3'": 0.0713,
              'C4': 0.38,
              "C4'": 0.1629,
              'C5': 0.0725,
              "C5'": -0.0069,
              'C6': 0.6897,
              'C8': 0.1607,
              "H1'": 0.1838,
              'H2': 0.0598,
              "H2'": 0.0718,
              "H2''": 0.0718,
              "H3'": 0.0985,
              "H4'": 0.1176,
              "H5'": 0.0754,
              "H5''": 0.0754,
              'H61': 0.4167,
              'H62': 0.4167,
              'H8': 0.1877,
              "HO5'": 0.4422,
              'N1': -0.7624,
              'N3': -0.7417,
              'N6': -0.9123,
              'N7': -0.6175,
              'N9': -0.0268,
              "O3'": -0.5232,
              "O4'": -0.3691,
              "O5'": -0.6318},
    'DC': {   "C1'": -0.0116,
              'C2': 0.7959,
              "C2'": -0.0854,
              "C3'": 0.0713,
              'C4': 0.8439,
              "C4'": 0.1629,
              'C5': -0.5222,
              "C5'": -0.0069,
              'C6': -0.0183,
              "H1'": 0.1963,
              "H2'": 0.0718,
              "H2''": 0.0718,
              "H3'": 0.0985,
              "H4'": 0.1176,
              'H41': 0.4314,
              'H42': 0.4314,
              'H5': 0.1863,
              "H5'": 0.0754,
              "H5''": 0.0754,
              'H6': 0.2293,
              "HO5'": 0.4422,
              'N1': -0.0339,
              'N3': -0.7748,
              'N4': -0.9773,
              'O2': -0.6548,
              "O3'": -0.5232,
              "O4'": -0.3691,
              "O5'": -0.6318},
    'DG': {   "C1'": 0.0358,
              'C2': 0.7432,
              "C2'": -0.0854,
              "C3'": 0.0713,
              'C4': 0.1814,
              "C4'": 0.1629,
              'C5': 0.1991,
              "C5'": -0.0069,
              'C6': 0.4918,
              'C8': 0.0736,
              'H1': 0.352,
              "H1'": 0.1746,
              "H2'": 0.0718,
              "H2''": 0.0718,
              'H21': 0.4235,
              'H22': 0.4235,
              "H3'": 0.0985,
              "H4'": 0.1176,
              "H5'": 0.0754,
              "H5''": 0.0754,
              'H8': 0.1997,
              "HO5'": 0.4422,
              'N1': -0.5053,
              'N2': -0.923,
              'N3': -0.6636,
              'N7': -0.5725,
              'N9': 0.0577,
              "O3'": -0.5232,
              "O4'": -0.3691,
              "O5'": -0.6318,
              'O6': -0.5699},
    'DT': {   "C1'": 0.068,
              'C2': 0.5677,
              "C2'": -0.0854,
              "C3'": 0.0713,
              'C4': 0.5194,
              "C4'": 0.1629,
              'C5': 0.0025,
              "C5'": -0.0069,
              'C6': -0.2209,
              'C7': -0.2269,
              "H1'": 0.1804,
              "H2'": 0.0718,
              "H2''": 0.0718,
              'H3': 0.342,
              "H3'": 0.0985,
              "H4'": 0.1176,
              "H5'": 0.0754,
              "H5''": 0.0754,
              'H6': 0.2607,
              'H71': 0.077,
              'H72': 0.077,
              'H73': 0.077,
              "HO5'": 0.4422,
              'N1': -0.0239,
              'N3': -0.434,
              'O2': -0.5881,
              "O3'": -0.5232,
              'O4': -0.5563,
              "O4'": -0.3691,
              "O5'": -0.6318},
    'G': {   "C1'": 0.0191,
             'C2': 0.7657,
             "C2'": 0.067,
             "C3'": 0.2022,
             'C4': 0.1222,
             "C4'": 0.1065,
             'C5': 0.1744,
             "C5'": 0.0558,
             'C6': 0.477,
             'C8': 0.1374,
             'H1': 0.3424,
             "H1'": 0.2006,
             "H2'": 0.0972,
             'H21': 0.4364,
             'H22': 0.4364,
             "H3'": 0.0615,
             "H4'": 0.1174,
             "H5'": 0.0679,
             "H5''": 0.0679,
             'H8': 0.164,
             "HO2'": 0.4186,
             "HO5'": 0.4295,
             'N1': -0.4787,
             'N2': -0.9672,
             'N3': -0.6323,
             'N7': -0.5709,
             'N9': 0.0492,
             "O2'": -0.6139,
             "O3'": -0.5246,
             "O4'": -0.3548,
             "O5'": -0.6223,
             'O6': -0.5597},
    'GLN': {   'C': 0.6123,
               'CA': 0.0536,
               'CB': 0.0651,
               'CD': 0.7354,
               'CG': -0.0903,
               'H1': 0.1996,
               'H2': 0.1996,
               'H3': 0.1996,
               'HA': 0.1015,
               'HB2': 0.005,
               'HB3': 0.005,
               'HE21': 0.4429,
               'HE22': 0.4429,
               'HG2': 0.0331,
               'HG3': 0.0331,
               'N': 0.1493,
               'NE2': -1.0031,
               'O': -0.5713,
               'OE1': -0.6133},
    'GLU': {   'C': 0.5621,
               'CA': 0.0588,
               'CB': 0.0909,
               'CD': 0.8087,
               'CG': -0.0236,
               'H1': 0.2391,
               'H2': 0.2391,
               'H3': 0.2391,
               'HA': 0.1202,
               'HB2': -0.0232,
               'HB3': -0.0232,
               'HG2': -0.0315,
               'HG3': -0.0315,
               'N': 0.0017,
               'O': -0.5889,
               'OE1': -0.8189,
               'OE2': -0.8189},
    'GLY': {   'C': 0.6163,
               'CA': -0.01,
               'H1': 0.1642,
               'H2': 0.1642,
               'H3': 0.1642,
               'HA2': 0.0895,
               'HA3': 0.0895,
               'N': 0.2943,
               'O': -0.5722},
    'HID': {   'C': 0.6123,
               'CA': 0.0964,
               'CB': 0.0259,
               'CD2': 0.1046,
               'CE1': 0.2127,
               'CG': -0.0399,
               'H1': 0.1963,
               'H2': 0.1963,
               'H3': 0.1963,
               'HA': 0.0958,
               'HB2': 0.0209,
               'HB3': 0.0209,
               'HD1': 0.3632,
               'HD2': 0.1299,
               'HE1': 0.1385,
               'N': 0.1542,
               'ND1': -0.3819,
               'NE2': -0.5711,
               'O': -0.5713},
    'HIE': {   'C': 0.6123,
               'CA': 0.0236,
               'CB': 0.0489,
               'CD2': -0.2349,
               'CE1': 0.1804,
               'CG': 0.174,
               'H1': 0.2016,
               'H2': 0.2016,
               'H3': 0.2016,
               'HA': 0.138,
               'HB2': 0.0223,
               'HB3': 0.0223,
               'HD2': 0.1963,
               'HE1': 0.1397,
               'HE2': 0.3324,
               'N': 0.1472,
               'ND1': -0.5579,
               'NE2': -0.2781,
               'O': -0.5713},
    'HIP': {   'C': 0.7214,
               'CA': 0.0581,
               'CB': 0.0484,
               'CD2': -0.1433,
               'CE1': -0.0011,
               'CG': -0.0236,
               'H1': 0.1704,
               'H2': 0.1704,
               'H3': 0.1704,
               'HA': 0.1047,
               'HB2': 0.0531,
               'HB3': 0.0531,
               'HD1': 0.3821,
               'HD2': 0.2495,
               'HE1': 0.2645,
               'HE2': 0.3921,
               'N': 0.256,
               'ND1': -0.151,
               'NE2': -0.1739,
               'O': -0.6013},
    'ILE': {   'C': 0.6123,
               'CA': 0.0257,
               'CB': 0.1885,
               'CD1': -0.0908,
               'CG1': -0.0387,
               'CG2': -0.372,
               'H1': 0.2329,
               'H2': 0.2329,
               'H3': 0.2329,
               'HA': 0.1031,
               'HB': 0.0213,
               'HD11': 0.0226,
               'HD12': 0.0226,
               'HD13': 0.0226,
               'HG12': 0.0201,
               'HG13': 0.0201,
               'HG21': 0.0947,
               'HG22': 0.0947,
               'HG23': 0.0947,
               'N': 0.0311,
               'O': -0.5713},
    'LEU': {   'C': 0.6123,
               'CA': 0.0104,
               'CB': -0.0244,
               'CD1': -0.4106,
               'CD2': -0.4104,
               'CG': 0.3421,
               'H1': 0.2148,
               'H2': 0.2148,
               'H3': 0.2148,
               'HA': 0.1053,
               'HB2': 0.0256,
               'HB3': 0.0256,
               'HD11': 0.098,
               'HD12': 0.098,
               'HD13': 0.098,
               'HD21': 0.098,
               'HD22': 0.098,
               'HD23': 0.098,
               'HG': -0.038,
               'N': 0.101,
               'O': -0.5713},
    'LYS': {   'C': 0.7214,
               'CA': -0.0015,
               'CB': 0.0212,
               'CD': -0.0608,
               'CE': -0.0181,
               'CG': -0.0048,
               'H1': 0.2165,
               'H2': 0.2165,
               'H3': 0.2165,
               'HA': 0.118,
               'HB2': 0.0283,
               'HB3': 0.0283,
               'HD2': 0.0633,
               'HD3': 0.0633,
               'HE2': 0.1171,
               'HE3': 0.1171,
               'HG2': 0.0121,
               'HG3': 0.0121,
               'HZ1': 0.3382,
               'HZ2': 0.3382,
               'HZ3': 0.3382,
               'N': 0.0966,
               'NZ': -0.3764,
               'O': -0.6013},
    'MET': {   'C': 0.6123,
               'CA': 0.0221,
               'CB': 0.0865,
               'CE': -0.0341,
               'CG': 0.0334,
               'H1': 0.1984,
               'H2': 0.1984,
               'H3': 0.1984,
               'HA': 0.1116,
               'HB2': 0.0125,
               'HB3': 0.0125,
               'HE1': 0.0597,
               'HE2': 0.0597,
               'HE3': 0.0597,
               'HG2': 0.0292,
               'HG3': 0.0292,
               'N': 0.1592,
               'O': -0.5713,
               'SD': -0.2774},
    'PHE': {   'C': 0.6123,
               'CA': 0.0733,
               'CB': 0.033,
               'CD1': -0.1392,
               'CD2': -0.1391,
               'CE1': -0.1602,
               'CE2': -0.1603,
               'CG': 0.0031,
               'CZ': -0.1208,
               'H1': 0.1921,
               'H2': 0.1921,
               'H3': 0.1921,
               'HA': 0.1041,
               'HB2': 0.0104,
               'HB3': 0.0104,
               'HD1': 0.1374,
               'HD2': 0.1374,
               'HE1': 0.1433,
               'HE2': 0.1433,
               'HZ': 0.1329,
               'N': 0.1737,
               'O': -0.5713},
    'PRO': {   'C': 0.526,
               'CA': 0.1,
               'CB': -0.115,
               'CD': -0.012,
               'CG': -0.121,
               'H2': 0.312,
               'H3': 0.312,
               'HA': 0.1,
               'HB2': 0.1,
               'HB3': 0.1,
               'HD2': 0.1,
               'HD3': 0.1,
               'HG2': 0.1,
               'HG3': 0.1,
               'N': -0.202,
               'O': -0.5},
    'SER': {   'C': 0.6163,
               'CA': 0.0567,
               'CB': 0.2596,
               'H1': 0.1898,
               'H2': 0.1898,
               'H3': 0.1898,
               'HA': 0.0782,
               'HB2': 0.0273,
               'HB3': 0.0273,
               'HG': 0.4239,
               'N': 0.1849,
               'O': -0.5722,
               'OG': -0.6714},
    'THR': {   'C': 0.6163,
               'CA': 0.0034,
               'CB': 0.4514,
               'CG2': -0.2554,
               'H1': 0.1934,
               'H2': 0.1934,
               'H3': 0.1934,
               'HA': 0.1087,
               'HB': -0.0323,
               'HG1': 0.407,
               'HG21': 0.0627,
               'HG22': 0.0627,
               'HG23': 0.0627,
               'N': 0.1812,
               'O': -0.5722,
               'OG1': -0.6764},
    'TRP': {   'C': 0.6123,
               'CA': 0.0421,
               'CB': 0.0543,
               'CD1': -0.1788,
               'CD2': 0.1132,
               'CE2': 0.1575,
               'CE3': -0.2265,
               'CG': -0.1654,
               'CH2': -0.108,
               'CZ2': -0.271,
               'CZ3': -0.2034,
               'H1': 0.1888,
               'H2': 0.1888,
               'H3': 0.1888,
               'HA': 0.1162,
               'HB2': 0.0222,
               'HB3': 0.0222,
               'HD1': 0.2195,
               'HE1': 0.3412,
               'HE3': 0.1646,
               'HH2': 0.1411,
               'HZ2': 0.1589,
               'HZ3': 0.1458,
               'N': 0.1913,
               'NE1': -0.3444,
               'O': -0.5713},
    'TYR': {   'C': 0.6123,
               'CA': 0.057,
               'CB': 0.0659,
               'CD1': -0.2002,
               'CD2': -0.2002,
               'CE1': -0.2239,
               'CE2': -0.2239,
               'CG': -0.0205,
               'CZ': 0.3139,
               'H1': 0.1873,
               'H2': 0.1873,
               'H3': 0.1873,
               'HA': 0.0983,
               'HB2': 0.0102,
               'HB3': 0.0102,
               'HD1': 0.172,
               'HD2': 0.172,
               'HE1': 0.165,
               'HE2': 0.165,
               'HH': 0.4001,
               'N': 0.194,
               'O': -0.5713,
               'OH': -0.5578},
    'U': {   "C1'": 0.0674,
             'C2': 0.4687,
             "C2'": 0.067,
             "C3'": 0.2022,
             'C4': 0.5952,
             "C4'": 0.1065,
             'C5': -0.3635,
             "C5'": 0.0558,
             'C6': -0.1126,
             "H1'": 0.1824,
             "H2'": 0.0972,
             'H3': 0.3154,
             "H3'": 0.0615,
             "H4'": 0.1174,
             'H5': 0.1811,
             "H5'": 0.0679,
             "H5''": 0.0679,
             'H6': 0.2188,
             "HO2'": 0.4186,
             "HO5'": 0.4295,
             'N1': 0.0418,
             'N3': -0.3549,
             'O2': -0.5477,
             "O2'": -0.6139,
             "O3'": -0.5246,
             'O4': -0.5761,
             "O4'": -0.3548,
             "O5'": -0.6223},
    'VAL': {   'C': 0.6163,
               'CA': -0.0054,
               'CB': 0.3196,
               'CG1': -0.3129,
               'CG2': -0.3129,
               'H1': 0.2272,
               'H2': 0.2272,
               'H3': 0.2272,
               'HA': 0.1093,
               'HB': -0.0221,
               'HG11': 0.0735,
               'HG12': 0.0735,
               'HG13': 0.0735,
               'HG21': 0.0735,
               'HG22': 0.0735,
               'HG23': 0.0735,
               'N': 0.0577,
               'O': -0.5722}}
ending_residues = {   'A': {   "C1'": 0.0394,
             'C2': 0.5875,
             "C2'": 0.067,
             "C3'": 0.2022,
             'C4': 0.3053,
             "C4'": 0.1065,
             'C5': 0.0515,
             "C5'": 0.0558,
             'C6': 0.7009,
             'C8': 0.2006,
             "H1'": 0.2007,
             'H2': 0.0473,
             "H2'": 0.0972,
             "H3'": 0.0615,
             "H4'": 0.1174,
             "H5'": 0.0679,
             "H5''": 0.0679,
             'H61': 0.4115,
             'H62': 0.4115,
             'H8': 0.1553,
             "HO2'": 0.4186,
             "HO3'": 0.4376,
             'N1': -0.7615,
             'N3': -0.6997,
             'N6': -0.9019,
             'N7': -0.6073,
             'N9': -0.0251,
             "O2'": -0.6139,
             "O3'": -0.6541,
             "O4'": -0.3548,
             "O5'": -0.4989,
             'OP1': -0.776,
             'OP2': -0.776,
             'P': 1.1662},
    'ALA': {   'C': 0.7731,
               'CA': -0.1747,
               'CB': -0.2093,
               'H': 0.2681,
               'HA': 0.1067,
               'HB1': 0.0764,
               'HB2': 0.0764,
               'HB3': 0.0764,
               'N': -0.3821,
               'O': -0.8055,
               'OXT': -0.8055},
    'ARG': {   'C': 0.8557,
               'CA': -0.3068,
               'CB': -0.0374,
               'CD': 0.1114,
               'CG': 0.0744,
               'CZ': 0.8368,
               'H': 0.2764,
               'HA': 0.1447,
               'HB2': 0.0371,
               'HB3': 0.0371,
               'HD2': 0.0468,
               'HD3': 0.0468,
               'HE': 0.3479,
               'HG2': 0.0185,
               'HG3': 0.0185,
               'HH11': 0.4493,
               'HH12': 0.4493,
               'HH21': 0.4493,
               'HH22': 0.4493,
               'N': -0.3481,
               'NE': -0.5564,
               'NH1': -0.8737,
               'NH2': -0.8737,
               'O': -0.8266,
               'OXT': -0.8266},
    'ASN': {   'C': 0.805,
               'CA': -0.208,
               'CB': -0.2299,
               'CG': 0.7153,
               'H': 0.2681,
               'HA': 0.1358,
               'HB2': 0.1023,
               'HB3': 0.1023,
               'HD21': 0.415,
               'HD22': 0.415,
               'N': -0.3821,
               'ND2': -0.9084,
               'O': -0.8147,
               'OD1': -0.601,
               'OXT': -0.8147},
    'ASP': {   'C': 0.7256,
               'CA': -0.1817,
               'CB': -0.0677,
               'CG': 0.8851,
               'H': 0.3055,
               'HA': 0.1046,
               'HB2': -0.0212,
               'HB3': -0.0212,
               'N': -0.5192,
               'O': -0.7887,
               'OD1': -0.8162,
               'OD2': -0.8162,
               'OXT': -0.7887},
    'C': {   "C1'": 0.0066,
             'C2': 0.7538,
             "C2'": 0.067,
             "C3'": 0.2022,
             'C4': 0.8185,
             "C4'": 0.1065,
             'C5': -0.5215,
             "C5'": 0.0558,
             'C6': 0.0053,
             "H1'": 0.2029,
             "H2'": 0.0972,
             "H3'": 0.0615,
             "H4'": 0.1174,
             'H41': 0.4234,
             'H42': 0.4234,
             'H5': 0.1928,
             "H5'": 0.0679,
             "H5''": 0.0679,
             'H6': 0.1958,
             "HO2'": 0.4186,
             "HO3'": 0.4376,
             'N1': -0.0484,
             'N3': -0.7584,
             'N4': -0.953,
             'O2': -0.6252,
             "O2'": -0.6139,
             "O3'": -0.6541,
             "O4'": -0.3548,
             "O5'": -0.4989,
             'OP1': -0.776,
             'OP2': -0.776,
             'P': 1.1662},
    'CYS': {   'C': 0.7497,
               'CA': -0.1635,
               'CB': -0.1996,
               'H': 0.2681,
               'HA': 0.1396,
               'HB2': 0.1437,
               'HB3': 0.1437,
               'HG': 0.2068,
               'N': -0.3821,
               'O': -0.7981,
               'OXT': -0.7981,
               'SG': -0.3102},
    'CYX': {   'C': 0.7618,
               'CA': -0.1318,
               'CB': -0.1943,
               'H': 0.2681,
               'HA': 0.0938,
               'HB2': 0.1228,
               'HB3': 0.1228,
               'N': -0.3821,
               'O': -0.8041,
               'OXT': -0.8041,
               'SG': -0.0529},
    'DA': {   "C1'": 0.0431,
              'C2': 0.5716,
              "C2'": -0.0854,
              "C3'": 0.0713,
              'C4': 0.38,
              "C4'": 0.1629,
              'C5': 0.0725,
              "C5'": -0.0069,
              'C6': 0.6897,
              'C8': 0.1607,
              "H1'": 0.1838,
              'H2': 0.0598,
              "H2'": 0.0718,
              "H2''": 0.0718,
              "H3'": 0.0985,
              "H4'": 0.1176,
              "H5'": 0.0754,
              "H5''": 0.0754,
              'H61': 0.4167,
              'H62': 0.4167,
              'H8': 0.1877,
              "HO3'": 0.4396,
              'N1': -0.7624,
              'N3': -0.7417,
              'N6': -0.9123,
              'N7': -0.6175,
              'N9': -0.0268,
              "O3'": -0.6549,
              "O4'": -0.3691,
              "O5'": -0.4954,
              'OP1': -0.7761,
              'OP2': -0.7761,
              'P': 1.1659},
    'DC': {   "C1'": -0.0116,
              'C2': 0.7959,
              "C2'": -0.0854,
              "C3'": 0.0713,
              'C4': 0.8439,
              "C4'": 0.1629,
              'C5': -0.5222,
              "C5'": -0.0069,
              'C6': -0.0183,
              "H1'": 0.1963,
              "H2'": 0.0718,
              "H2''": 0.0718,
              "H3'": 0.0985,
              "H4'": 0.1176,
              'H41': 0.4314,
              'H42': 0.4314,
              'H5': 0.1863,
              "H5'": 0.0754,
              "H5''": 0.0754,
              'H6': 0.2293,
              "HO3'": 0.4396,
              'N1': -0.0339,
              'N3': -0.7748,
              'N4': -0.9773,
              'O2': -0.6548,
              "O3'": -0.6549,
              "O4'": -0.3691,
              "O5'": -0.4954,
              'OP1': -0.7761,
              'OP2': -0.7761,
              'P': 1.1659},
    'DG': {   "C1'": 0.0358,
              'C2': 0.7432,
              "C2'": -0.0854,
              "C3'": 0.0713,
              'C4': 0.1814,
              "C4'": 0.1629,
              'C5': 0.1991,
              "C5'": -0.0069,
              'C6': 0.4918,
              'C8': 0.0736,
              'H1': 0.352,
              "H1'": 0.1746,
              "H2'": 0.0718,
              "H2''": 0.0718,
              'H21': 0.4235,
              'H22': 0.4235,
              "H3'": 0.0985,
              "H4'": 0.1176,
              "H5'": 0.0754,
              "H5''": 0.0754,
              'H8': 0.1997,
              "HO3'": 0.4396,
              'N1': -0.5053,
              'N2': -0.923,
              'N3': -0.6636,
              'N7': -0.5725,
              'N9': 0.0577,
              "O3'": -0.6549,
              "O4'": -0.3691,
              "O5'": -0.4954,
              'O6': -0.5699,
              'OP1': -0.7761,
              'OP2': -0.7761,
              'P': 1.1659},
    'DT': {   "C1'": 0.068,
              'C2': 0.5677,
              "C2'": -0.0854,
              "C3'": 0.0713,
              'C4': 0.5194,
              "C4'": 0.1629,
              'C5': 0.0025,
              "C5'": -0.0069,
              'C6': -0.2209,
              'C7': -0.2269,
              "H1'": 0.1804,
              "H2'": 0.0718,
              "H2''": 0.0718,
              'H3': 0.342,
              "H3'": 0.0985,
              "H4'": 0.1176,
              "H5'": 0.0754,
              "H5''": 0.0754,
              'H6': 0.2607,
              'H71': 0.077,
              'H72': 0.077,
              'H73': 0.077,
              "HO3'": 0.4396,
              'N1': -0.0239,
              'N3': -0.434,
              'O2': -0.5881,
              "O3'": -0.6549,
              'O4': -0.5563,
              "O4'": -0.3691,
              "O5'": -0.4954,
              'OP1': -0.7761,
              'OP2': -0.7761,
              'P': 1.1659},
    'G': {   "C1'": 0.0191,
             'C2': 0.7657,
             "C2'": 0.067,
             "C3'": 0.2022,
             'C4': 0.1222,
             "C4'": 0.1065,
             'C5': 0.1744,
             "C5'": 0.0558,
             'C6': 0.477,
             'C8': 0.1374,
             'H1': 0.3424,
             "H1'": 0.2006,
             "H2'": 0.0972,
             'H21': 0.4364,
             'H22': 0.4364,
             "H3'": 0.0615,
             "H4'": 0.1174,
             "H5'": 0.0679,
             "H5''": 0.0679,
             'H8': 0.164,
             "HO2'": 0.4186,
             "HO3'": 0.4376,
             'N1': -0.4787,
             'N2': -0.9672,
             'N3': -0.6323,
             'N7': -0.5709,
             'N9': 0.0492,
             "O2'": -0.6139,
             "O3'": -0.6541,
             "O4'": -0.3548,
             "O5'": -0.4989,
             'O6': -0.5597,
             'OP1': -0.776,
             'OP2': -0.776,
             'P': 1.1662},
    'GLN': {   'C': 0.7775,
               'CA': -0.2248,
               'CB': -0.0664,
               'CD': 0.7093,
               'CG': -0.021,
               'H': 0.2681,
               'HA': 0.1232,
               'HB2': 0.0452,
               'HB3': 0.0452,
               'HE21': 0.4304,
               'HE22': 0.4304,
               'HG2': 0.0203,
               'HG3': 0.0203,
               'N': -0.3821,
               'NE2': -0.9574,
               'O': -0.8042,
               'OE1': -0.6098,
               'OXT': -0.8042},
    'GLU': {   'C': 0.742,
               'CA': -0.2059,
               'CB': 0.0071,
               'CD': 0.8183,
               'CG': 0.0675,
               'H': 0.3055,
               'HA': 0.1399,
               'HB2': -0.0078,
               'HB3': -0.0078,
               'HG2': -0.0548,
               'HG3': -0.0548,
               'N': -0.5192,
               'O': -0.793,
               'OE1': -0.822,
               'OE2': -0.822,
               'OXT': -0.793},
    'GLY': {   'C': 0.7231,
               'CA': -0.2493,
               'H': 0.2681,
               'HA2': 0.1056,
               'HA3': 0.1056,
               'N': -0.3821,
               'O': -0.7855,
               'OXT': -0.7855},
    'HID': {   'C': 0.7615,
               'CA': -0.1739,
               'CB': -0.1046,
               'CD2': 0.1001,
               'CE1': 0.1925,
               'CG': 0.0293,
               'H': 0.2681,
               'HA': 0.11,
               'HB2': 0.0565,
               'HB3': 0.0565,
               'HD1': 0.3755,
               'HD2': 0.1241,
               'HE1': 0.1418,
               'N': -0.3821,
               'ND1': -0.3892,
               'NE2': -0.5629,
               'O': -0.8016,
               'OXT': -0.8016},
    'HIE': {   'C': 0.7916,
               'CA': -0.2699,
               'CB': -0.1068,
               'CD2': -0.2588,
               'CE1': 0.1558,
               'CG': 0.2724,
               'H': 0.2681,
               'HA': 0.165,
               'HB2': 0.062,
               'HB3': 0.062,
               'HD2': 0.1957,
               'HE1': 0.1448,
               'HE2': 0.3319,
               'N': -0.3821,
               'ND1': -0.5517,
               'NE2': -0.267,
               'O': -0.8065,
               'OXT': -0.8065},
    'HIP': {   'C': 0.8032,
               'CA': -0.1445,
               'CB': -0.08,
               'CD2': -0.1256,
               'CE1': -0.0251,
               'CG': 0.0298,
               'H': 0.2764,
               'HA': 0.1115,
               'HB2': 0.0868,
               'HB3': 0.0868,
               'HD1': 0.3883,
               'HD2': 0.2336,
               'HE1': 0.2694,
               'HE2': 0.3913,
               'N': -0.3481,
               'ND1': -0.1501,
               'NE2': -0.1683,
               'O': -0.8177,
               'OXT': -0.8177},
    'HYP': {   'C': 0.6631,
               'CA': -0.0993,
               'CB': 0.0547,
               'CD': 0.0778,
               'CG': 0.081,
               'HA': 0.0776,
               'HB2': 0.0426,
               'HB3': 0.0426,
               'HD1': 0.3851,
               'HD22': 0.0331,
               'HD23': 0.0331,
               'HG': 0.0416,
               'N': -0.2802,
               'O': -0.7697,
               'OD1': -0.6134,
               'OXT': -0.7697},
    'ILE': {   'C': 0.8343,
               'CA': -0.31,
               'CB': 0.0363,
               'CD1': -0.0699,
               'CG1': -0.0323,
               'CG2': -0.3498,
               'H': 0.2681,
               'HA': 0.1375,
               'HB': 0.0766,
               'HD11': 0.0196,
               'HD12': 0.0196,
               'HD13': 0.0196,
               'HG12': 0.0321,
               'HG13': 0.0321,
               'HG21': 0.1021,
               'HG22': 0.1021,
               'HG23': 0.1021,
               'N': -0.3821,
               'O': -0.819,
               'OXT': -0.819},
    'LEU': {   'C': 0.8326,
               'CA': -0.2847,
               'CB': -0.2469,
               'CD1': -0.4163,
               'CD2': -0.4163,
               'CG': 0.3706,
               'H': 0.2681,
               'HA': 0.1346,
               'HB2': 0.0974,
               'HB3': 0.0974,
               'HD11': 0.1038,
               'HD12': 0.1038,
               'HD13': 0.1038,
               'HD21': 0.1038,
               'HD22': 0.1038,
               'HD23': 0.1038,
               'HG': -0.0374,
               'N': -0.3821,
               'O': -0.8199,
               'OXT': -0.8199},
    'LYS': {   'C': 0.8488,
               'CA': -0.2903,
               'CB': -0.0538,
               'CD': -0.0392,
               'CE': -0.0176,
               'CG': 0.0227,
               'H': 0.2764,
               'HA': 0.1438,
               'HB2': 0.0482,
               'HB3': 0.0482,
               'HD2': 0.0611,
               'HD3': 0.0611,
               'HE2': 0.1121,
               'HE3': 0.1121,
               'HG2': 0.0134,
               'HG3': 0.0134,
               'HZ1': 0.3374,
               'HZ2': 0.3374,
               'HZ3': 0.3374,
               'N': -0.3481,
               'NZ': -0.3741,
               'O': -0.8252,
               'OXT': -0.8252},
    'MET': {   'C': 0.8013,
               'CA': -0.2597,
               'CB': -0.0236,
               'CE': -0.0376,
               'CG': 0.0492,
               'H': 0.2681,
               'HA': 0.1277,
               'HB2': 0.048,
               'HB3': 0.048,
               'HE1': 0.0625,
               'HE2': 0.0625,
               'HE3': 0.0625,
               'HG2': 0.0317,
               'HG3': 0.0317,
               'N': -0.3821,
               'O': -0.8105,
               'OXT': -0.8105,
               'SD': -0.2692},
    'NH2': {'HN1': 0.2315, 'HN2': 0.2315, 'N': -0.463},
    'PHE': {   'C': 0.766,
               'CA': -0.1825,
               'CB': -0.0959,
               'CD1': -0.13,
               'CD2': -0.13,
               'CE1': -0.1847,
               'CE2': -0.1847,
               'CG': 0.0552,
               'CZ': -0.0944,
               'H': 0.2681,
               'HA': 0.1098,
               'HB2': 0.0443,
               'HB3': 0.0443,
               'HD1': 0.1408,
               'HD2': 0.1408,
               'HE1': 0.1461,
               'HE2': 0.1461,
               'HZ': 0.128,
               'N': -0.3821,
               'O': -0.8026,
               'OXT': -0.8026},
    'PRO': {   'C': 0.6631,
               'CA': -0.1336,
               'CB': -0.0543,
               'CD': 0.0434,
               'CG': 0.0466,
               'HA': 0.0776,
               'HB2': 0.0381,
               'HB3': 0.0381,
               'HD2': 0.0331,
               'HD3': 0.0331,
               'HG2': 0.0172,
               'HG3': 0.0172,
               'N': -0.2802,
               'O': -0.7697,
               'OXT': -0.7697},
    'SER': {   'C': 0.8113,
               'CA': -0.2722,
               'CB': 0.1123,
               'H': 0.2681,
               'HA': 0.1304,
               'HB2': 0.0813,
               'HB3': 0.0813,
               'HG': 0.4474,
               'N': -0.3821,
               'O': -0.8132,
               'OG': -0.6514,
               'OXT': -0.8132},
    'THR': {   'C': 0.781,
               'CA': -0.242,
               'CB': 0.3025,
               'CG2': -0.1853,
               'H': 0.2681,
               'HA': 0.1207,
               'HB': 0.0078,
               'HG1': 0.4119,
               'HG21': 0.0586,
               'HG22': 0.0586,
               'HG23': 0.0586,
               'N': -0.3821,
               'O': -0.8044,
               'OG1': -0.6496,
               'OXT': -0.8044},
    'TRP': {   'C': 0.7658,
               'CA': -0.2084,
               'CB': -0.0742,
               'CD1': -0.1808,
               'CD2': 0.1078,
               'CE2': 0.1222,
               'CE3': -0.1837,
               'CG': -0.0796,
               'CH2': -0.102,
               'CZ2': -0.2594,
               'CZ3': -0.2287,
               'H': 0.2681,
               'HA': 0.1272,
               'HB2': 0.0497,
               'HB3': 0.0497,
               'HD1': 0.2043,
               'HE1': 0.3413,
               'HE3': 0.1491,
               'HH2': 0.1401,
               'HZ2': 0.1567,
               'HZ3': 0.1507,
               'N': -0.3821,
               'NE1': -0.3316,
               'O': -0.8011,
               'OXT': -0.8011},
    'TYR': {   'C': 0.7817,
               'CA': -0.2015,
               'CB': -0.0752,
               'CD1': -0.1922,
               'CD2': -0.1922,
               'CE1': -0.2458,
               'CE2': -0.2458,
               'CG': 0.0243,
               'CZ': 0.3395,
               'H': 0.2681,
               'HA': 0.1092,
               'HB2': 0.049,
               'HB3': 0.049,
               'HD1': 0.178,
               'HD2': 0.178,
               'HE1': 0.1673,
               'HE2': 0.1673,
               'HH': 0.4017,
               'N': -0.3821,
               'O': -0.807,
               'OH': -0.5643,
               'OXT': -0.807},
    'U': {   "C1'": 0.0674,
             'C2': 0.4687,
             "C2'": 0.067,
             "C3'": 0.2022,
             'C4': 0.5952,
             "C4'": 0.1065,
             'C5': -0.3635,
             "C5'": 0.0558,
             'C6': -0.1126,
             "H1'": 0.1824,
             "H2'": 0.0972,
             'H3': 0.3154,
             "H3'": 0.0615,
             "H4'": 0.1174,
             'H5': 0.1811,
             "H5'": 0.0679,
             "H5''": 0.0679,
             'H6': 0.2188,
             "HO2'": 0.4186,
             "HO3'": 0.4376,
             'N1': 0.0418,
             'N3': -0.3549,
             'O2': -0.5477,
             "O2'": -0.6139,
             "O3'": -0.6541,
             'O4': -0.5761,
             "O4'": -0.3548,
             "O5'": -0.4989,
             'OP1': -0.776,
             'OP2': -0.776,
             'P': 1.1662},
    'VAL': {   'C': 0.835,
               'CA': -0.3438,
               'CB': 0.194,
               'CG1': -0.3064,
               'CG2': -0.3064,
               'H': 0.2681,
               'HA': 0.1438,
               'HB': 0.0308,
               'HG11': 0.0836,
               'HG12': 0.0836,
               'HG13': 0.0836,
               'HG21': 0.0836,
               'HG22': 0.0836,
               'HG23': 0.0836,
               'N': -0.3821,
               'O': -0.8173,
               'OXT': -0.8173}}
other_residues = {   'A': {   "C1'": 0.0394,
             'C2': 0.5875,
             "C2'": 0.067,
             "C3'": 0.2022,
             'C4': 0.3053,
             "C4'": 0.1065,
             'C5': 0.0515,
             "C5'": 0.0558,
             'C6': 0.7009,
             'C8': 0.2006,
             "H1'": 0.2007,
             'H2': 0.0473,
             "H2'": 0.0972,
             "H3'": 0.0615,
             "H4'": 0.1174,
             "H5'": 0.0679,
             "H5''": 0.0679,
             'H61': 0.4115,
             'H62': 0.4115,
             'H8': 0.1553,
             "HO2'": 0.4186,
             'N1': -0.7615,
             'N3': -0.6997,
             'N6': -0.9019,
             'N7': -0.6073,
             'N9': -0.0251,
             "O2'": -0.6139,
             "O3'": -0.5246,
             "O4'": -0.3548,
             "O5'": -0.4989,
             'OP1': -0.776,
             'OP2': -0.776,
             'P': 1.1662},
    'ALA': {   'C': 0.5973,
               'CA': 0.0337,
               'CB': -0.1825,
               'H': 0.2719,
               'HA': 0.0823,
               'HB1': 0.0603,
               'HB2': 0.0603,
               'HB3': 0.0603,
               'N': -0.4157,
               'O': -0.5679},
    'AN': {   "C1'": 0.0394,
              'C2': 0.5875,
              "C2'": 0.067,
              "C3'": 0.2022,
              'C4': 0.3053,
              "C4'": 0.1065,
              'C5': 0.0515,
              "C5'": 0.0558,
              'C6': 0.7009,
              'C8': 0.2006,
              "H1'": 0.2007,
              'H2': 0.0473,
              "H2'": 0.0972,
              "H3'": 0.0615,
              "H4'": 0.1174,
              "H5'": 0.0679,
              "H5''": 0.0679,
              'H61': 0.4115,
              'H62': 0.4115,
              'H8': 0.1553,
              "HO2'": 0.4186,
              "HO3'": 0.4376,
              "HO5'": 0.4295,
              'N1': -0.7615,
              'N3': -0.6997,
              'N6': -0.9019,
              'N7': -0.6073,
              'N9': -0.0251,
              "O2'": -0.6139,
              "O3'": -0.6541,
              "O4'": -0.3548,
              "O5'": -0.6223},
    'ARG': {   'C': 0.7341,
               'CA': -0.2637,
               'CB': -0.0007,
               'CD': 0.0486,
               'CG': 0.039,
               'CZ': 0.8076,
               'H': 0.2747,
               'HA': 0.156,
               'HB2': 0.0327,
               'HB3': 0.0327,
               'HD2': 0.0687,
               'HD3': 0.0687,
               'HE': 0.3456,
               'HG2': 0.0285,
               'HG3': 0.0285,
               'HH11': 0.4478,
               'HH12': 0.4478,
               'HH21': 0.4478,
               'HH22': 0.4478,
               'N': -0.3479,
               'NE': -0.5295,
               'NH1': -0.8627,
               'NH2': -0.8627,
               'O': -0.5894},
    'ASH': {   'C': 0.5973,
               'CA': 0.0341,
               'CB': -0.0316,
               'CG': 0.6462,
               'H': 0.2719,
               'HA': 0.0864,
               'HB2': 0.0488,
               'HB3': 0.0488,
               'HD2': 0.4747,
               'N': -0.4157,
               'O': -0.5679,
               'OD1': -0.5554,
               'OD2': -0.6376},
    'ASN': {   'C': 0.5973,
               'CA': 0.0143,
               'CB': -0.2041,
               'CG': 0.713,
               'H': 0.2719,
               'HA': 0.1048,
               'HB2': 0.0797,
               'HB3': 0.0797,
               'HD21': 0.4196,
               'HD22': 0.4196,
               'N': -0.4157,
               'ND2': -0.9191,
               'O': -0.5679,
               'OD1': -0.5931},
    'ASP': {   'C': 0.5366,
               'CA': 0.0381,
               'CB': -0.0303,
               'CG': 0.7994,
               'H': 0.2936,
               'HA': 0.088,
               'HB2': -0.0122,
               'HB3': -0.0122,
               'N': -0.5163,
               'O': -0.5819,
               'OD1': -0.8014,
               'OD2': -0.8014},
    'C': {   "C1'": 0.0066,
             'C2': 0.7538,
             "C2'": 0.067,
             "C3'": 0.2022,
             'C4': 0.8185,
             "C4'": 0.1065,
             'C5': -0.5215,
             "C5'": 0.0558,
             'C6': 0.0053,
             "H1'": 0.2029,
             "H2'": 0.0972,
             "H3'": 0.0615,
             "H4'": 0.1174,
             'H41': 0.4234,
             'H42': 0.4234,
             'H5': 0.1928,
             "H5'": 0.0679,
             "H5''": 0.0679,
             'H6': 0.1958,
             "HO2'": 0.4186,
             'N1': -0.0484,
             'N3': -0.7584,
             'N4': -0.953,
             'O2': -0.6252,
             "O2'": -0.6139,
             "O3'": -0.5246,
             "O4'": -0.3548,
             "O5'": -0.4989,
             'OP1': -0.776,
             'OP2': -0.776,
             'P': 1.1662},
    'CIM': {'CL-': -1.0},
    'CIP': {'NA+': 1.0},
    'CN': {   "C1'": 0.0066,
              'C2': 0.7538,
              "C2'": 0.067,
              "C3'": 0.2022,
              'C4': 0.8185,
              "C4'": 0.1065,
              'C5': -0.5215,
              "C5'": 0.0558,
              'C6': 0.0053,
              "H1'": 0.2029,
              "H2'": 0.0972,
              "H3'": 0.0615,
              "H4'": 0.1174,
              'H41': 0.4234,
              'H42': 0.4234,
              'H5': 0.1928,
              "H5'": 0.0679,
              "H5''": 0.0679,
              'H6': 0.1958,
              "HO2'": 0.4186,
              "HO3'": 0.4376,
              "HO5'": 0.4295,
              'N1': -0.0484,
              'N3': -0.7584,
              'N4': -0.953,
              'O2': -0.6252,
              "O2'": -0.6139,
              "O3'": -0.6541,
              "O4'": -0.3548,
              "O5'": -0.6223},
    'CYM': {   'C': 0.5973,
               'CA': -0.0351,
               'CB': -0.2413,
               'H': 0.2719,
               'HA': 0.0508,
               'HB2': 0.1122,
               'HB3': 0.1122,
               'N': -0.4157,
               'O': -0.5679,
               'SG': -0.8844},
    'CYS': {   'C': 0.5973,
               'CA': 0.0213,
               'CB': -0.1231,
               'H': 0.2719,
               'HA': 0.1124,
               'HB2': 0.1112,
               'HB3': 0.1112,
               'HG': 0.1933,
               'N': -0.4157,
               'O': -0.5679,
               'SG': -0.3119},
    'CYX': {   'C': 0.5973,
               'CA': 0.0429,
               'CB': -0.079,
               'H': 0.2719,
               'HA': 0.0766,
               'HB2': 0.091,
               'HB3': 0.091,
               'N': -0.4157,
               'O': -0.5679,
               'SG': -0.1081},
    'DA': {   "C1'": 0.0431,
              'C2': 0.5716,
              "C2'": -0.0854,
              "C3'": 0.0713,
              'C4': 0.38,
              "C4'": 0.1629,
              'C5': 0.0725,
              "C5'": -0.0069,
              'C6': 0.6897,
              'C8': 0.1607,
              "H1'": 0.1838,
              'H2': 0.0598,
              "H2'": 0.0718,
              "H2''": 0.0718,
              "H3'": 0.0985,
              "H4'": 0.1176,
              "H5'": 0.0754,
              "H5''": 0.0754,
              'H61': 0.4167,
              'H62': 0.4167,
              'H8': 0.1877,
              'N1': -0.7624,
              'N3': -0.7417,
              'N6': -0.9123,
              'N7': -0.6175,
              'N9': -0.0268,
              "O3'": -0.5232,
              "O4'": -0.3691,
              "O5'": -0.4954,
              'OP1': -0.7761,
              'OP2': -0.7761,
              'P': 1.1659},
    'DAN': {   "C1'": 0.0431,
               'C2': 0.5716,
               "C2'": -0.0854,
               "C3'": 0.0713,
               'C4': 0.38,
               "C4'": 0.1629,
               'C5': 0.0725,
               "C5'": -0.0069,
               'C6': 0.6897,
               'C8': 0.1607,
               "H1'": 0.1838,
               'H2': 0.0598,
               "H2'": 0.0718,
               "H2''": 0.0718,
               "H3'": 0.0985,
               "H4'": 0.1176,
               "H5'": 0.0754,
               "H5''": 0.0754,
               'H61': 0.4167,
               'H62': 0.4167,
               'H8': 0.1877,
               "HO3'": 0.4396,
               "HO5'": 0.4422,
               'N1': -0.7624,
               'N3': -0.7417,
               'N6': -0.9123,
               'N7': -0.6175,
               'N9': -0.0268,
               "O3'": -0.6549,
               "O4'": -0.3691,
               "O5'": -0.6318},
    'DC': {   "C1'": -0.0116,
              'C2': 0.7959,
              "C2'": -0.0854,
              "C3'": 0.0713,
              'C4': 0.8439,
              "C4'": 0.1629,
              'C5': -0.5222,
              "C5'": -0.0069,
              'C6': -0.0183,
              "H1'": 0.1963,
              "H2'": 0.0718,
              "H2''": 0.0718,
              "H3'": 0.0985,
              "H4'": 0.1176,
              'H41': 0.4314,
              'H42': 0.4314,
              'H5': 0.1863,
              "H5'": 0.0754,
              "H5''": 0.0754,
              'H6': 0.2293,
              'N1': -0.0339,
              'N3': -0.7748,
              'N4': -0.9773,
              'O2': -0.6548,
              "O3'": -0.5232,
              "O4'": -0.3691,
              "O5'": -0.4954,
              'OP1': -0.7761,
              'OP2': -0.7761,
              'P': 1.1659},
    'DCN': {   "C1'": -0.0116,
               'C2': 0.7959,
               "C2'": -0.0854,
               "C3'": 0.0713,
               'C4': 0.8439,
               "C4'": 0.1629,
               'C5': -0.5222,
               "C5'": -0.0069,
               'C6': -0.0183,
               "H1'": 0.1963,
               "H2'": 0.0718,
               "H2''": 0.0718,
               "H3'": 0.0985,
               "H4'": 0.1176,
               'H41': 0.4314,
               'H42': 0.4314,
               'H5': 0.1863,
               "H5'": 0.0754,
               "H5''": 0.0754,
               'H6': 0.2293,
               "HO3'": 0.4396,
               "HO5'": 0.4422,
               'N1': -0.0339,
               'N3': -0.7748,
               'N4': -0.9773,
               'O2': -0.6548,
               "O3'": -0.6549,
               "O4'": -0.3691,
               "O5'": -0.6318},
    'DG': {   "C1'": 0.0358,
              'C2': 0.7432,
              "C2'": -0.0854,
              "C3'": 0.0713,
              'C4': 0.1814,
              "C4'": 0.1629,
              'C5': 0.1991,
              "C5'": -0.0069,
              'C6': 0.4918,
              'C8': 0.0736,
              'H1': 0.352,
              "H1'": 0.1746,
              "H2'": 0.0718,
              "H2''": 0.0718,
              'H21': 0.4235,
              'H22': 0.4235,
              "H3'": 0.0985,
              "H4'": 0.1176,
              "H5'": 0.0754,
              "H5''": 0.0754,
              'H8': 0.1997,
              'N1': -0.5053,
              'N2': -0.923,
              'N3': -0.6636,
              'N7': -0.5725,
              'N9': 0.0577,
              "O3'": -0.5232,
              "O4'": -0.3691,
              "O5'": -0.4954,
              'O6': -0.5699,
              'OP1': -0.7761,
              'OP2': -0.7761,
              'P': 1.1659},
    'DGN': {   "C1'": 0.0358,
               'C2': 0.7432,
               "C2'": -0.0854,
               "C3'": 0.0713,
               'C4': 0.1814,
               "C4'": 0.1629,
               'C5': 0.1991,
               "C5'": -0.0069,
               'C6': 0.4918,
               'C8': 0.0736,
               'H1': 0.352,
               "H1'": 0.1746,
               "H2'": 0.0718,
               "H2''": 0.0718,
               'H21': 0.4235,
               'H22': 0.4235,
               "H3'": 0.0985,
               "H4'": 0.1176,
               "H5'": 0.0754,
               "H5''": 0.0754,
               'H8': 0.1997,
               "HO3'": 0.4396,
               "HO5'": 0.4422,
               'N1': -0.5053,
               'N2': -0.923,
               'N3': -0.6636,
               'N7': -0.5725,
               'N9': 0.0577,
               "O3'": -0.6549,
               "O4'": -0.3691,
               "O5'": -0.6318,
               'O6': -0.5699},
    'DT': {   "C1'": 0.068,
              'C2': 0.5677,
              "C2'": -0.0854,
              "C3'": 0.0713,
              'C4': 0.5194,
              "C4'": 0.1629,
              'C5': 0.0025,
              "C5'": -0.0069,
              'C6': -0.2209,
              'C7': -0.2269,
              "H1'": 0.1804,
              "H2'": 0.0718,
              "H2''": 0.0718,
              'H3': 0.342,
              "H3'": 0.0985,
              "H4'": 0.1176,
              "H5'": 0.0754,
              "H5''": 0.0754,
              'H6': 0.2607,
              'H71': 0.077,
              'H72': 0.077,
              'H73': 0.077,
              'N1': -0.0239,
              'N3': -0.434,
              'O2': -0.5881,
              "O3'": -0.5232,
              'O4': -0.5563,
              "O4'": -0.3691,
              "O5'": -0.4954,
              'OP1': -0.7761,
              'OP2': -0.7761,
              'P': 1.1659},
    'DTN': {   "C1'": 0.068,
               'C2': 0.5677,
               "C2'": -0.0854,
               "C3'": 0.0713,
               'C4': 0.5194,
               "C4'": 0.1629,
               'C5': 0.0025,
               "C5'": -0.0069,
               'C6': -0.2209,
               'C7': -0.2269,
               "H1'": 0.1804,
               "H2'": 0.0718,
               "H2''": 0.0718,
               'H3': 0.342,
               "H3'": 0.0985,
               "H4'": 0.1176,
               "H5'": 0.0754,
               "H5''": 0.0754,
               'H6': 0.2607,
               'H71': 0.077,
               'H72': 0.077,
               'H73': 0.077,
               "HO3'": 0.4396,
               "HO5'": 0.4422,
               'N1': -0.0239,
               'N3': -0.434,
               'O2': -0.5881,
               "O3'": -0.6549,
               'O4': -0.5563,
               "O4'": -0.3691,
               "O5'": -0.6318},
    'G': {   "C1'": 0.0191,
             'C2': 0.7657,
             "C2'": 0.067,
             "C3'": 0.2022,
             'C4': 0.1222,
             "C4'": 0.1065,
             'C5': 0.1744,
             "C5'": 0.0558,
             'C6': 0.477,
             'C8': 0.1374,
             'H1': 0.3424,
             "H1'": 0.2006,
             "H2'": 0.0972,
             'H21': 0.4364,
             'H22': 0.4364,
             "H3'": 0.0615,
             "H4'": 0.1174,
             "H5'": 0.0679,
             "H5''": 0.0679,
             'H8': 0.164,
             "HO2'": 0.4186,
             'N1': -0.4787,
             'N2': -0.9672,
             'N3': -0.6323,
             'N7': -0.5709,
             'N9': 0.0492,
             "O2'": -0.6139,
             "O3'": -0.5246,
             "O4'": -0.3548,
             "O5'": -0.4989,
             'O6': -0.5597,
             'OP1': -0.776,
             'OP2': -0.776,
             'P': 1.1662},
    'GLH': {   'C': 0.5973,
               'CA': 0.0145,
               'CB': -0.0071,
               'CD': 0.6801,
               'CG': -0.0174,
               'H': 0.2719,
               'HA': 0.0779,
               'HB2': 0.0256,
               'HB3': 0.0256,
               'HE2': 0.4641,
               'HG2': 0.043,
               'HG3': 0.043,
               'N': -0.4157,
               'O': -0.5679,
               'OE1': -0.5838,
               'OE2': -0.6511},
    'GLN': {   'C': 0.5973,
               'CA': -0.0031,
               'CB': -0.0036,
               'CD': 0.6951,
               'CG': -0.0645,
               'H': 0.2719,
               'HA': 0.085,
               'HB2': 0.0171,
               'HB3': 0.0171,
               'HE21': 0.4251,
               'HE22': 0.4251,
               'HG2': 0.0352,
               'HG3': 0.0352,
               'N': -0.4157,
               'NE2': -0.9407,
               'O': -0.5679,
               'OE1': -0.6086},
    'GLU': {   'C': 0.5366,
               'CA': 0.0397,
               'CB': 0.056,
               'CD': 0.8054,
               'CG': 0.0136,
               'H': 0.2936,
               'HA': 0.1105,
               'HB2': -0.0173,
               'HB3': -0.0173,
               'HG2': -0.0425,
               'HG3': -0.0425,
               'N': -0.5163,
               'O': -0.5819,
               'OE1': -0.8188,
               'OE2': -0.8188},
    'GLY': {   'C': 0.5973,
               'CA': -0.0252,
               'H': 0.2719,
               'HA2': 0.0698,
               'HA3': 0.0698,
               'N': -0.4157,
               'O': -0.5679},
    'GN': {   "C1'": 0.0191,
              'C2': 0.7657,
              "C2'": 0.067,
              "C3'": 0.2022,
              'C4': 0.1222,
              "C4'": 0.1065,
              'C5': 0.1744,
              "C5'": 0.0558,
              'C6': 0.477,
              'C8': 0.1374,
              'H1': 0.3424,
              "H1'": 0.2006,
              "H2'": 0.0972,
              'H21': 0.4364,
              'H22': 0.4364,
              "H3'": 0.0615,
              "H4'": 0.1174,
              "H5'": 0.0679,
              "H5''": 0.0679,
              'H8': 0.164,
              "HO2'": 0.4186,
              "HO3'": 0.4376,
              "HO5'": 0.4295,
              'N1': -0.4787,
              'N2': -0.9672,
              'N3': -0.6323,
              'N7': -0.5709,
              'N9': 0.0492,
              "O2'": -0.6139,
              "O3'": -0.6541,
              "O4'": -0.3548,
              "O5'": -0.6223,
              'O6': -0.5597},
    'HID': {   'C': 0.5973,
               'CA': 0.0188,
               'CB': -0.0462,
               'CD2': 0.1292,
               'CE1': 0.2057,
               'CG': -0.0266,
               'H': 0.2719,
               'HA': 0.0881,
               'HB2': 0.0402,
               'HB3': 0.0402,
               'HD1': 0.3649,
               'HD2': 0.1147,
               'HE1': 0.1392,
               'N': -0.4157,
               'ND1': -0.3811,
               'NE2': -0.5727,
               'O': -0.5679},
    'HIE': {   'C': 0.5973,
               'CA': -0.0581,
               'CB': -0.0074,
               'CD2': -0.2207,
               'CE1': 0.1635,
               'CG': 0.1868,
               'H': 0.2719,
               'HA': 0.136,
               'HB2': 0.0367,
               'HB3': 0.0367,
               'HD2': 0.1862,
               'HE1': 0.1435,
               'HE2': 0.3339,
               'N': -0.4157,
               'ND1': -0.5432,
               'NE2': -0.2795,
               'O': -0.5679},
    'HIP': {   'C': 0.7341,
               'CA': -0.1354,
               'CB': -0.0414,
               'CD2': -0.1141,
               'CE1': -0.017,
               'CG': -0.0012,
               'H': 0.2747,
               'HA': 0.1212,
               'HB2': 0.081,
               'HB3': 0.081,
               'HD1': 0.3866,
               'HD2': 0.2317,
               'HE1': 0.2681,
               'HE2': 0.3911,
               'N': -0.3479,
               'ND1': -0.1513,
               'NE2': -0.1718,
               'O': -0.5894},
    'HOH': {'H1': 0.417, 'H2': 0.417, 'O': -0.834},
    'HYP': {   'C': 0.5896,
               'CA': 0.0047,
               'CB': 0.0203,
               'CD': 0.0595,
               'CG': 0.04,
               'HA': 0.077,
               'HB2': 0.0426,
               'HB3': 0.0426,
               'HD1': 0.3851,
               'HD22': 0.07,
               'HD23': 0.07,
               'HG': 0.0416,
               'N': -0.2548,
               'O': -0.5748,
               'OD1': -0.6134},
    'ILE': {   'C': 0.5973,
               'CA': -0.0597,
               'CB': 0.1303,
               'CD1': -0.066,
               'CG1': -0.043,
               'CG2': -0.3204,
               'H': 0.2719,
               'HA': 0.0869,
               'HB': 0.0187,
               'HD11': 0.0186,
               'HD12': 0.0186,
               'HD13': 0.0186,
               'HG12': 0.0236,
               'HG13': 0.0236,
               'HG21': 0.0882,
               'HG22': 0.0882,
               'HG23': 0.0882,
               'N': -0.4157,
               'O': -0.5679},
    'LEU': {   'C': 0.5973,
               'CA': -0.0518,
               'CB': -0.1102,
               'CD1': -0.4121,
               'CD2': -0.4121,
               'CG': 0.3531,
               'H': 0.2719,
               'HA': 0.0922,
               'HB2': 0.0457,
               'HB3': 0.0457,
               'HD11': 0.1,
               'HD12': 0.1,
               'HD13': 0.1,
               'HD21': 0.1,
               'HD22': 0.1,
               'HD23': 0.1,
               'HG': -0.0361,
               'N': -0.4157,
               'O': -0.5679},
    'LYN': {   'C': 0.5973,
               'CA': -0.07206,
               'CB': -0.04845,
               'CD': -0.03768,
               'CE': 0.32604,
               'CG': 0.06612,
               'H': 0.2719,
               'HA': 0.0994,
               'HB2': 0.034,
               'HB3': 0.034,
               'HD2': 0.01155,
               'HD3': 0.01155,
               'HE2': -0.03358,
               'HE3': -0.03358,
               'HG2': 0.01041,
               'HG3': 0.01041,
               'HZ2': 0.38604,
               'HZ3': 0.38604,
               'N': -0.4157,
               'NZ': -1.03581,
               'O': -0.5679},
    'LYS': {   'C': 0.7341,
               'CA': -0.24,
               'CB': -0.0094,
               'CD': -0.0479,
               'CE': -0.0143,
               'CG': 0.0187,
               'H': 0.2747,
               'HA': 0.1426,
               'HB2': 0.0362,
               'HB3': 0.0362,
               'HD2': 0.0621,
               'HD3': 0.0621,
               'HE2': 0.1135,
               'HE3': 0.1135,
               'HG2': 0.0103,
               'HG3': 0.0103,
               'HZ1': 0.34,
               'HZ2': 0.34,
               'HZ3': 0.34,
               'N': -0.3479,
               'NZ': -0.3854,
               'O': -0.5894},
    'MET': {   'C': 0.5973,
               'CA': -0.0237,
               'CB': 0.0342,
               'CE': -0.0536,
               'CG': 0.0018,
               'H': 0.2719,
               'HA': 0.088,
               'HB2': 0.0241,
               'HB3': 0.0241,
               'HE1': 0.0684,
               'HE2': 0.0684,
               'HE3': 0.0684,
               'HG2': 0.044,
               'HG3': 0.044,
               'N': -0.4157,
               'O': -0.5679,
               'SD': -0.2737},
    'NME': {   'CH3': -0.149,
               'H': 0.2719,
               'HH31': 0.0976,
               'HH32': 0.0976,
               'HH33': 0.0976,
               'N': -0.4157},
    'OHE': {'H': 0.3129, 'O': -0.621},
    'PHE': {   'C': 0.5973,
               'CA': -0.0024,
               'CB': -0.0343,
               'CD1': -0.1256,
               'CD2': -0.1256,
               'CE1': -0.1704,
               'CE2': -0.1704,
               'CG': 0.0118,
               'CZ': -0.1072,
               'H': 0.2719,
               'HA': 0.0978,
               'HB2': 0.0295,
               'HB3': 0.0295,
               'HD1': 0.133,
               'HD2': 0.133,
               'HE1': 0.143,
               'HE2': 0.143,
               'HZ': 0.1297,
               'N': -0.4157,
               'O': -0.5679},
    'PRO': {   'C': 0.5896,
               'CA': -0.0266,
               'CB': -0.007,
               'CD': 0.0192,
               'CG': 0.0189,
               'HA': 0.0641,
               'HB2': 0.0253,
               'HB3': 0.0253,
               'HD2': 0.0391,
               'HD3': 0.0391,
               'HG2': 0.0213,
               'HG3': 0.0213,
               'N': -0.2548,
               'O': -0.5748},
    'SER': {   'C': 0.5973,
               'CA': -0.0249,
               'CB': 0.2117,
               'H': 0.2719,
               'HA': 0.0843,
               'HB2': 0.0352,
               'HB3': 0.0352,
               'HG': 0.4275,
               'N': -0.4157,
               'O': -0.5679,
               'OG': -0.6546},
    'THR': {   'C': 0.5973,
               'CA': -0.0389,
               'CB': 0.3654,
               'CG2': -0.2438,
               'H': 0.2719,
               'HA': 0.1007,
               'HB': 0.0043,
               'HG1': 0.4102,
               'HG21': 0.0642,
               'HG22': 0.0642,
               'HG23': 0.0642,
               'N': -0.4157,
               'O': -0.5679,
               'OG1': -0.6761},
    'TRP': {   'C': 0.5973,
               'CA': -0.0275,
               'CB': -0.005,
               'CD1': -0.1638,
               'CD2': 0.1243,
               'CE2': 0.138,
               'CE3': -0.2387,
               'CG': -0.1415,
               'CH2': -0.1134,
               'CZ2': -0.2601,
               'CZ3': -0.1972,
               'H': 0.2719,
               'HA': 0.1123,
               'HB2': 0.0339,
               'HB3': 0.0339,
               'HD1': 0.2062,
               'HE1': 0.3412,
               'HE3': 0.17,
               'HH2': 0.1417,
               'HZ2': 0.1572,
               'HZ3': 0.1447,
               'N': -0.4157,
               'NE1': -0.3418,
               'O': -0.5679},
    'TYR': {   'C': 0.5973,
               'CA': -0.0014,
               'CB': -0.0152,
               'CD1': -0.1906,
               'CD2': -0.1906,
               'CE1': -0.2341,
               'CE2': -0.2341,
               'CG': -0.0011,
               'CZ': 0.3226,
               'H': 0.2719,
               'HA': 0.0876,
               'HB2': 0.0295,
               'HB3': 0.0295,
               'HD1': 0.1699,
               'HD2': 0.1699,
               'HE1': 0.1656,
               'HE2': 0.1656,
               'HH': 0.3992,
               'N': -0.4157,
               'O': -0.5679,
               'OH': -0.5579},
    'U': {   "C1'": 0.0674,
             'C2': 0.4687,
             "C2'": 0.067,
             "C3'": 0.2022,
             'C4': 0.5952,
             "C4'": 0.1065,
             'C5': -0.3635,
             "C5'": 0.0558,
             'C6': -0.1126,
             "H1'": 0.1824,
             "H2'": 0.0972,
             'H3': 0.3154,
             "H3'": 0.0615,
             "H4'": 0.1174,
             'H5': 0.1811,
             "H5'": 0.0679,
             "H5''": 0.0679,
             'H6': 0.2188,
             "HO2'": 0.4186,
             'N1': 0.0418,
             'N3': -0.3549,
             'O2': -0.5477,
             "O2'": -0.6139,
             "O3'": -0.5246,
             'O4': -0.5761,
             "O4'": -0.3548,
             "O5'": -0.4989,
             'OP1': -0.776,
             'OP2': -0.776,
             'P': 1.1662},
    'UN': {   "C1'": 0.0674,
              'C2': 0.4687,
              "C2'": 0.067,
              "C3'": 0.2022,
              'C4': 0.5952,
              "C4'": 0.1065,
              'C5': -0.3635,
              "C5'": 0.0558,
              'C6': -0.1126,
              "H1'": 0.1824,
              "H2'": 0.0972,
              'H3': 0.3154,
              "H3'": 0.0615,
              "H4'": 0.1174,
              'H5': 0.1811,
              "H5'": 0.0679,
              "H5''": 0.0679,
              'H6': 0.2188,
              "HO2'": 0.4186,
              "HO3'": 0.4376,
              "HO5'": 0.4295,
              'N1': 0.0418,
              'N3': -0.3549,
              'O2': -0.5477,
              "O2'": -0.6139,
              "O3'": -0.6541,
              'O4': -0.5761,
              "O4'": -0.3548,
              "O5'": -0.6223},
    'VAL': {   'C': 0.5973,
               'CA': -0.0875,
               'CB': 0.2985,
               'CG1': -0.3192,
               'CG2': -0.3192,
               'H': 0.2719,
               'HA': 0.0969,
               'HB': -0.0297,
               'HG11': 0.0791,
               'HG12': 0.0791,
               'HG13': 0.0791,
               'HG21': 0.0791,
               'HG22': 0.0791,
               'HG23': 0.0791,
               'N': -0.4157,
               'O': -0.5679}}
